<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_MapResponse StructType
 * @subpackage Structs
 */
class Get_MapResponse extends AbstractStructBase
{
    /**
     * The Get_MapResult
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\MapView
     */
    public $Get_MapResult;
    /**
     * Constructor method for Get_MapResponse
     * @uses Get_MapResponse::setGet_MapResult()
     * @param \StructType\MapView $get_MapResult
     */
    public function __construct(\StructType\MapView $get_MapResult = null)
    {
        $this
            ->setGet_MapResult($get_MapResult);
    }
    /**
     * Get Get_MapResult value
     * @return \StructType\MapView|null
     */
    public function getGet_MapResult()
    {
        return $this->Get_MapResult;
    }
    /**
     * Set Get_MapResult value
     * @param \StructType\MapView $get_MapResult
     * @return \StructType\Get_MapResponse
     */
    public function setGet_MapResult(\StructType\MapView $get_MapResult = null)
    {
        $this->Get_MapResult = $get_MapResult;
        return $this;
    }
}
